/* 宣传海报 */
.poster {
  position: relative;
  height: 200vh;
}

.poster__bg {
  position: sticky;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: center/cover no-repeat;
}

.poster__wrapper {
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 20px;
}

.poster__title {
  padding: 0 10%;
  font-size: 54px;
  letter-spacing: 6px;
  color: #fff;
}

.poster__stroke {
  position: sticky;
  top: 0;
  left: 0;
  margin-top: -100vh;
  width: 100%;
  height: 100vh;
  overflow: hidden;
  pointer-events: none;
}

.poster__stroke__box {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
  opacity: 0;
}

.poster__stroke__box::before,
.poster__stroke__box::after {
  content: "";
  width: 100%;
  flex: 1;
  background-color: #fff;
}

.poster__stroke__img {
  /* 防止上下有空白间隙 */
  margin: -1px 0;
  width: 100%;
  object-fit: contain;
}

@media (max-width: 992px) {
  .poster__title {
    font-size: 30px;
  }
}

/* 解决方案 */
.solution {
  padding: 30px 0;
  background-image: linear-gradient(to bottom, #5a9dec99, #fff);
  overflow: hidden;
}

.solution__head {
  margin: 20px auto;
  text-align: center;
  color: #fff;
  max-width: 1000px;
}

.solution__item {
  margin: 10px 0;
  border-radius: 10px;
  overflow: hidden;
}

.solution__item__head {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  gap: 30px;
  padding: 14px 30px 10px 30px;
  background: #0657ca
    radial-gradient(circle at top right, #fff 20%, transparent, #0657ca) top
    right no-repeat;
}

.solution__item__head__title {
  color: #fff;
  font-size: 24px;
}

.solution__item__head__descript {
  margin-top: 10px;
  color: #fff;
  font-size: 12px;
  white-space: pre-wrap;
}

.solution__item__head__img {
  margin-top: 10px;
  width: 80px;
  height: 80px;
}

.solution__item__body {
  position: relative;
  padding: 30px;
  background-color: #fff;
  z-index: 0;
}

.solution__item__body__bg {
  position: absolute;
  top: 0;
  right: 0;
  width: 80%;
  height: 100%;
  background: right bottom/cover no-repeat;
  filter: grayscale(1);
  z-index: -1;
}

.solution__item__body__content {
  display: flex;
  width: 60%;
  flex-wrap: wrap;
}

.solution__item__body__content__point {
  display: flex;
  align-items: flex-start;
  padding: 7px 14px 2px 0;
  border-bottom: 1px solid #3574db99;
}

.solution__item__body__content__point::before {
  content: "";
  flex-shrink: 0;
  display: inline-block;
  margin: 3px 6px 0 0;
  width: 14px;
  height: 14px;
  background: url(/images/circle_arrow_right.png) center/contain;
}

/* 物流服务 */
.service {
  padding: 30px 10px;
  overflow: hidden;
  position: relative;
  background-color: #f2f2f2;
  z-index: 0;
}

.service__wrapper {
  margin: 0 auto;
  max-width: 1000px;
}

.service__wrapper .carousel-inner {
  position: static;
}

.service__head {
  text-align: center;
}

.service__head__subtitle {
  color: #626262;
}

.service__body {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  margin-top: 40px;
  min-height: 350px;
  font-size: 12px;

  /* 取消carousel样式 */
  position: static !important;
  perspective: none !important;
  transform: none !important;
}

.service__body.active {
  display: flex;
}

.service__body__poster {
  position: absolute;
  inset: 0;
  z-index: -1;
  background: center/cover no-repeat;
}

.service__body__glass {
  margin-top: 10px;
  position: relative;
  z-index: 1;
}

.service__body__glass__img {
  border: 1px solid #619efb;
  width: 230px;
  height: 140px;
  border-radius: 1000px;
}

.service__body__glass__arrow {
  position: absolute;
  top: -4px;
  right: -50px;
  height: 100%;
  aspect-ratio: 1;
  background-image: linear-gradient(45deg, transparent 50%, #0063f1aa);
  transform: rotate(-16deg) scaleY(0.4) rotate(45deg);
  z-index: -1;
}

.service__tabs {
  position: relative;
  display: flex;
  align-items: center;
  margin-top: 20px;
  padding: 8px 0;
  max-width: 1000px;
  background-color: #fdfdfd;
  border-radius: 10px;
  font-size: 18px;
}

.service__tabs__wrapper {
  display: flex;
  justify-content: space-between;
  flex: 1;
  gap: 1px;
  background-color: #e3e3e3;

  /* 取消carousel样式 */
  position: static !important;
  z-index: 0 !important;
  width: 100% !important;
  padding-left: 0 !important;
  margin-left: 0 !important;
  text-align: center !important;
  list-style: none !important;
}

.service__tabs__item {
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  z-index: 0;
  flex: 1;
  padding: 6px;
  background-color: #fdfdfd;
  font-weight: bold;
  text-align: center;
  cursor: pointer;
}

.service__tabs__item.active {
  color: #fff;

  /* 取消carousel样式 */
  width: auto !important;
  height: auto !important;
  background-color: #fdfdfd !important;
}

.service__tabs__item.active > .service__tabs__slider {
  display: block;
}

.service__tabs__slider {
  display: none;
  position: absolute;
  width: 100%;
  height: calc(100% + 30px);
  background-color: #1b64cd;
  border-radius: 10px;
  z-index: -1;
}

.service__tabs__slider::after {
  content: "";
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate3d(-50%, -90%, 0);
  border: 20px solid transparent;
  border-bottom: 20px solid #1b64cd;
}

/* 系统介绍 */
.system {
}

.system__wrapper {
  margin: 0 auto;
  max-width: 1000px;
}

.system__head {
  padding: 10px 0;
  border-bottom: 1px solid #a7a7a5;
  text-align: center;
}

.system__descript {
  margin-top: 10px;
}

.system__scoll {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: relative;
  margin: 0 auto;
  height: 350px;
  background: bottom/100% 150% no-repeat;
  overflow: hidden;
}

.system__scroll__box {
  position: absolute;
  width: 1200px;
  aspect-ratio: 1;
}

.system__rotate {
  position: absolute;
  top: 16%;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 50%;
  background-color: #fff9;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: all 1s;
  transform: rotate(-27deg);
}

.system__pie {
  position: absolute;
  top: 0;
  left: 0;
  padding: 8%;
  width: 100%;
  height: 100%;
  background: repeating-conic-gradient(#72aafd 0deg, #0757c9 120deg) content-box;
  border-radius: 50%;
}

.system__pie__table {
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 3px;
  width: 100%;
  height: 100%;
  background: #f6f9fe content-box;
  border-radius: 50%;
}

.system__pie__table__cart {
  position: absolute;
  top: -20px;
  height: 20px;
}

.system__content {
  position: absolute;
  top: 12px;
  left: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  height: 100%;
}

.system__item {
  position: absolute;
  top: 0;
  transform-origin: center 370%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  align-items: flex-start;
  width: 170px;
  height: 220px;
  border: 1px solid #5a9dec99;
  background: #fff;
  border-radius: 6px;
  overflow: hidden;
  transition: all 1s;
}

.system__item__icon {
  position: absolute;
  top: 10px;
  right: -8px;
  width: 30px;
  height: 30px;
  object-fit: contain;
}

.system__item__title {
  margin-top: 30px;
  padding: 0 20px;
  font-size: 18px;
}

.system__item__subtitle {
  padding: 0 20px;
  font-size: 14px;
}

.system__item__img {
  height: 50px;
  object-fit: contain;
}

.system__item__descript {
  display: none;
  margin-top: 6px;
  padding: 0 20px;
  font-size: 12px;
  color: #fff;
  overflow: auto;
  white-space: pre-wrap;
}

.system__item--highlight {
  justify-content: flex-start;
  background: linear-gradient(to top, #1685fa, #0757c9);
}

.system__item--highlight .system__item__icon {
  left: 20px;
}

.system__item--highlight .system__item__title {
  margin-top: 60px;
  color: #fff;
}

.system__item--highlight .system__item__subtitle {
  color: #fff;
}

.system__item--highlight .system__item__descript {
  display: block;
}

.system__item--highlight .system__item__img {
  display: none;
}

.system__operate {
  position: absolute;
  bottom: 20px;
  display: flex;
  align-items: center;
  gap: 10px;
  z-index: 1;
}

.system__operate__btn--left,
.system__operate__btn--right {
  border: 1px solid #9a9a9a;
  padding: 8px 14px;
  border-radius: 1000px;
  line-height: 0;
  cursor: pointer;
}

.system__operate__btn--left::after,
.system__operate__btn--right::after {
  content: "";
  display: inline-block;
  width: 6px;
  height: 6px;
  border-left: 1px solid #9a9a9a;
  border-top: 1px solid #9a9a9a;
}

.system__operate__btn--left::after {
  transform: rotate(-45deg);
}

.system__operate__btn--right::after {
  transform: rotate(135deg);
}

/* 客户画像 */
.customer {
  margin: 20px auto 0;
  max-width: 1200px;
}

.customer__head {
  text-align: center;
}

.customer__box {
  position: relative;
  aspect-ratio: 7 / 3;
  display: flex;
  gap: 10px;
  flex-wrap: wrap;
}

.customer__item {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 5%;
  border: 1px solid #eaf1ff;
  padding: 10px;
  border-radius: 16px;
  background-color: #f6f9fe;
}

.customer__item__img {
  height: 40px;
  object-fit: contain;
}

.customer__item__label {
  color: #666;
  font-weight: bold;
  font-size: 20px;
  text-align: center;
  white-space: pre-wrap;
}

.customer__item__detail {
  display: none;
  color: #fff;
  font-weight: bold;
  text-align: center;
  font-size: 20px;
  white-space: pre-wrap;
}

.customer__item:hover {
  background: #3574db center/100% 100% no-repeat;
  background-image:
    url(/images/customer_arrow.png), linear-gradient(to top, #1383fa, #0856c7);
}

.customer__item:hover .customer__item__img {
  filter: brightness(0) invert(1);
}

.customer__item:hover .customer__item__label {
  display: none;
}

.customer__item:hover .customer__item__detail {
  display: block;
}

@media (max-width: 992px) {
  .customer__box {
    margin: 0 10px;
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(220px, 1fr));
    grid-auto-rows: 150px;
    gap: 20px;
  }

  .customer__item {
    position: static;
    width: 100% !important;
    height: auto !important;
  }

  .customer__item__label {
    font-size: 26px;
  }
}

/* 公司资讯 */
.article {
  margin-top: 50px;
}

.article__head {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0 auto;
  max-width: 1100px;
  padding: 10px 0;
  border-bottom: 1px solid #a7a7a5;
}

.article__head__website {
  display: flex;
  align-items: center;
  gap: 20px;
}

.article__head__website__link {
  color: #666666;
  cursor: pointer;
}

.article__head__website__link--selected {
  color: #3574db;
}

.article__box {
  margin-top: 20px;
}

.article__box:nth-of-type(n + 2) {
  display: none;
}

.article__box__item {
  width: 350px;
}

.article__box__item:hover {
  text-decoration: none;
}

.article__item__img {
  width: 100%;
  aspect-ratio: 1.67;
  object-fit: cover;
}

.article__item__title {
  margin-top: 16px;
  font-size: 20px;
  color: #0f0f0f;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  visibility: hidden;
}

.article__box__item.swiper-slide-active .article__item__title {
  visibility: visible;
}

.article__item__time {
  display: inline-block;
  margin-top: 10px;
  border: 1px solid #1565c6;
  padding: 2px 6px;
  border-radius: 1000px;
  color: #1565c6;
  font-size: 12px;
  line-height: 100%;
  visibility: hidden;
}

.article__box__item.swiper-slide-active .article__item__time {
  visibility: visible;
}

.article__item__content {
  margin-top: 10px;
  color: #727272;
  font-size: 12px;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 3;
  -webkit-box-orient: vertical;
  visibility: hidden;
}

.article__box__item.swiper-slide-active .article__item__content {
  visibility: visible;
}

@media (max-width: 768px) {
  .article__head {
    flex-direction: column;
    align-items: flex-start;
  }

  .article__head__website {
    align-self: flex-end;
  }
}

/* 合作伙伴 */
.partner {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 40px auto 0 auto;
  max-width: 1200px;
}

.partner__container {
  position: relative;
  margin: 10px 0;
  max-width: 100%;
  overflow: hidden;
}

.partner__container::before,
.partner__container::after {
  content: "";
  position: absolute;
  top: 0;
  width: 100px;
  height: 100%;
  z-index: 1;
}

.partner__container::before {
  left: 0;
  background-image: linear-gradient(to right, #fff, transparent);
}

.partner__container::after {
  right: 0;
  background-image: linear-gradient(to left, #fff, transparent);
}

.partner__wrapper {
  position: relative;
  display: flex;
  margin: auto;
  gap: 20px;
}

.partner__wrapper__item {
  flex-shrink: 0;
  display: inline-block;
  border: 1px solid #dedede;
  padding: 6px 10px;
  border-radius: 1000px;
  background-color: #fff;
}

.partner__wrapper__item__img {
  width: 80px;
  height: 30px;
  object-fit: contain;
}
